Name:		android-file-transfer
Version:	4.5
Release:	%mkrel 1
Summary:	Reliable Android MTP client with minimalist UI
Group:		Development/Tools
License:	LGPLv2+
URL:		https://github.com/whoozle/android-file-transfer-linux
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	appstream-util
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	ninja
BuildRequires:	cmake(pybind11)
BuildRequires:	pkgconfig(python3)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(libmagic)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(taglib)

%description
Android File Transfer for Linux — reliable MTP client with minimalist UI
similar to Android File Transfer for Mac.
Features:
- Simple Qt UI with progress dialogs.
- FUSE wrapper (If you'd prefer mounting your device), supporting partial
  read/writes, allowing instant access to your files.
- No file size limits.
- Automatically renames album cover to make it visible from media player.
- USB 'Zerocopy' support found in recent Linux kernel
- No extra dependencies (e.g. libptp/libmtp).
- Command line tool (aft-mtp-cli)

%prep
%autosetup -p1 -n %{name}-linux-%{version}

%build
%cmake -GNinja -DDESIRED_QT_VERSION=6
%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}

find %{buildroot} -name '*.a' -delete

desktop-file-install                                       \
    --remove-category="System"                             \
    --remove-category="Filesystem"                         \
    --delete-original                                      \
    --dir=%{buildroot}%{_datadir}/applications             \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml

%files
%doc README.md FAQ.md
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun May 18 2025 daviddavid <daviddavid> 4.5-1.mga10
+ Revision: 2184654
- new version: 4.5

* Wed Apr 02 2025 daviddavid <daviddavid> 4.4-1.mga10
+ Revision: 2172746
- new version: 4.4
- switch to Qt6

* Fri Oct 04 2024 daviddavid <daviddavid> 4.3-3.mga10
+ Revision: 2103107
- rebuild for new taglib 2.0.2

* Thu Dec 14 2023 daviddavid <daviddavid> 4.3-2.mga10
+ Revision: 2018143
- enable libmagic support and python bindings
- new version: 4.3

* Sun Apr 03 2022 umeabot <umeabot> 4.2-3.mga9
+ Revision: 1842623
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.2-2.mga9
+ Revision: 1747406
- rebuild for openssl 3.0.0

* Mon Jan 04 2021 daviddavid <daviddavid> 4.2-1.mga8
+ Revision: 1668650
- new version: 4.2

* Fri Dec 18 2020 daviddavid <daviddavid> 4.1-1.mga8
+ Revision: 1660920
- new version: 4.1

* Wed Dec 16 2020 umeabot <umeabot> 4.0-2.mga8
+ Revision: 1658131
- Rebuild for new Qt5

* Mon Nov 16 2020 daviddavid <daviddavid> 4.0-1.mga8
+ Revision: 1646530
- new version: 4.0

* Wed Feb 19 2020 umeabot <umeabot> 3.9-3.mga8
+ Revision: 1542555
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 tv <tv> 3.9-2.mga8
+ Revision: 1476632
- rebuild for new readline
+ wally <wally>
- build with new cmake macros

* Sat Jun 29 2019 daviddavid <daviddavid> 3.9-1.mga8
+ Revision: 1415822
- new version: 3.9

* Mon May 20 2019 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1398666
- new version: 3.8

* Fri Mar 29 2019 umeabot <umeabot> 3.7-2.mga7
+ Revision: 1381228
- Qt5 Rebuild

* Mon Nov 12 2018 daviddavid <daviddavid> 3.7-1.mga7
+ Revision: 1329650
- new version: 3.7

* Thu Nov 08 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1328929
- new version: 3.6

* Sat Oct 20 2018 daviddavid <daviddavid> 3.5-1.mga7
+ Revision: 1323001
- new version: 3.5

* Fri Sep 21 2018 umeabot <umeabot> 3.4-2.mga7
+ Revision: 1294328
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 daviddavid <daviddavid> 3.4-1.mga7
+ Revision: 1245574
- initial package android-file-transfer

